*! version 1.0.5  20mar2006  by Marc-Andreas Muendler muendler@ucsd.edu

translator set gph2eps logo off
translator set gph2ps  logo off
translator set gph2prn logo off

version 8
cd "$rootslct"
clear
set more off
set matsize 150
adopath + "$root/%stata/ado"

capture mkdir "$rootslct/tex/v3npr/eigvalcomp"


/* THIRD DRAFT (v3) */

* EIGENVALUE COMPARISONS ACROSS WAGE TYPE REGRESSIONS
local dim = 5
foreach usemissg in $howmany {
  foreach type in b se4 {
    mat eigvalcompHO`usemissg'_`type' = J(1,`dim',.)
    }
  local rowtot = 1
  foreach waglvl in "frmowwwage" "frmunowage" {
    local rowtot = `rowtot' + 1
    matload eigval`usemissg'_tbl, p(tex/v3npr/pt$par-af$aff-`waglvl'-cf) over missing(.)
    mat eigvalcompHO`usemissg'_b = eigvalcompHO`usemissg'_b \ eigval`usemissg'_tbl[1,1..`dim']
    mat eigvalcompHO`usemissg'_se4 = eigvalcompHO`usemissg'_se4 \ eigval`usemissg'_tbl[2,1..`dim']
    matname eigvalcompHO`usemissg'_b `waglvl', rows(`rowtot') explicit
    matname eigvalcompHO`usemissg'_se4 `waglvl', rows(`rowtot') explicit
    }
  mat eigvalcompHO`usemissg'_b = eigvalcompHO`usemissg'_b[2..`rowtot',1..`dim']
  mat eigvalcompHO`usemissg'_se4 = eigvalcompHO`usemissg'_se4[2..`rowtot',1..`dim']
  mat eigvalcompHO`usemissg'_e = eigval`usemissg'_tbl[3,1..`dim']
  local colnames : colnames eigval`usemissg'_tbl
  foreach type in b se4 e {
    matname eigvalcompHO`usemissg'_`type' `colnames', columns(1..`dim') explicit
    }
  mat drop eigval`usemissg'_tbl
  foreach type in b se4 e {
    mat rename eigvalcompHO`usemissg'_`type' eigvalcomp`usemissg'pt${par}af${aff}_`type'
    }
  est2tex eigvalcomp`usemissg'pt${par}af${aff}, replace dropall preserve multse(4) mark(starse 4) path(tex/v3npr/eigvalcomp) fancy levels(90 95 99)
  foreach type in b se4 e {
    mat drop eigvalcomp`usemissg'pt${par}af${aff}_`type'
    }
  }

cd "$root"
